/*
 * T.C.F.S. 2.0 Alpha 1 
 *
 *      	   This  program  handles  RPC  "NFS"  data  requests
 *              adopting a secure transfer protocol.
 *                 This   is  an  unsecure   and  unchecked  version,
 *              use at your own risk.
 *
 *              Please, report Bugs to: <tcfs@edu-gw.dia.unisa.it>
 *
 * Authors:	Giuseppe Cattaneo, <cattaneo@udsab.dia.unisa.it>
 *		Giuseppe Persiano, <giuper@udsab.dia.unisa.it>
 *		Andrea Cozzolino, <andcoz@edu-gw.dia.unisa.it>
 *		Angelo Celentano, <angcel@edu-gw.dia.unisa.it>
 *		Aniello Del Sorbo, <anidel@edu-gw.dia.unisa.it>
 *		Ermelindo Mauriello, <ermmau@edu-gw.dia.unisa.it>
 *		Raffaele Pisapia, <rafpis@edu-gw.dia.unisa.it>
 *
 *   Permission to  use, copy, and modify  this software  without fee
 * is hereby granted, provided that this entire notice is included in
 * all copies  of  any  software  which  is  or  includes a  copy  or
 * modification of this software and in all copies  of the supporting
 * documentation for such software.
 *
 *   This  software is  distribuited  under  the  GNU General  Public
 * License  (version  2, June  1991). Check  the  file  'COPING'  for
 * more  infos. Some  parts of  this  software  derive  from the  NFS
 * implementation in the Linux kernel 2.0.x.
 *
 * This software  maybe be used  for any  purpose provided  the above
 * copyright  notice  is retained.  It  is  supplied  as is,  with no
 * warranty expressed or implied.
 *
 */

/* -+-_== */



/* The fsent(3) routines are obsoleted by mntent(3).  I use them for
   convenience.  Since the implementation uses mntent(3), be very
   careful with the static buffers returned.
   /usr/cvs/util-linux/mount/fstab.h,v 1.1 1995/03/12 01:39:53 faith Exp */

#ifndef _FSTAB_H
#include <stdio.h>
#include <mntent.h>

#define _PATH_FSTAB	"/etc/fstab"

/* Translate fsent(3) stuff into mntent(3) stuff.
   In general this won't work, but it's good enough here.  */
#define fstab mntent
#define fs_type mnt_type
#define fs_spec mnt_fsname
#define FSTAB_SW MNTTYPE_SWAP

struct fstab *getfsent (void);
struct fstab *getfsspec (const char *spec);
struct fstab *getfsfile (const char *file);
int setfsent (void);
void endfsent (void);

#endif /* _FSTAB_H */
