/*
 * T.C.F.S. 2.0 Alpha 1 
 *
 *      	   This  program  handles  RPC  "NFS"  data  requests
 *              adopting a secure transfer protocol.
 *                 This   is  an  unsecure   and  unchecked  version,
 *              use at your own risk.
 *
 *              Please, report Bugs to: <tcfs@edu-gw.dia.unisa.it>
 *
 * Authors:	Giuseppe Cattaneo, <cattaneo@udsab.dia.unisa.it>
 *		Giuseppe Persiano, <giuper@udsab.dia.unisa.it>
 *		Andrea Cozzolino, <andcoz@edu-gw.dia.unisa.it>
 *		Angelo Celentano, <angcel@edu-gw.dia.unisa.it>
 *		Aniello Del Sorbo, <anidel@edu-gw.dia.unisa.it>
 *		Ermelindo Mauriello, <ermmau@edu-gw.dia.unisa.it>
 *		Raffaele Pisapia, <rafpis@edu-gw.dia.unisa.it>
 *
 *   Permission to  use, copy, and modify  this software  without fee
 * is hereby granted, provided that this entire notice is included in
 * all copies  of  any  software  which  is  or  includes a  copy  or
 * modification of this software and in all copies  of the supporting
 * documentation for such software.
 *
 *   This  software is  distribuited  under  the  GNU General  Public
 * License  (version  2, June  1991). Check  the  file  'COPING'  for
 * more  infos. Some  parts of  this  software  derive  from the  NFS
 * implementation in the Linux kernel 2.0.x.
 *
 * This software  maybe be used  for any  purpose provided  the above
 * copyright  notice  is retained.  It  is  supplied  as is,  with no
 * warranty expressed or implied.
 *
 */

/* -+-_== */

/*
 * Please do not edit this file.
 * It was generated using rpcgen.
 */

#ifndef _XATTR_H_RPCGEN
#define _XATTR_H_RPCGEN

#include <rpc/rpc.h>

#ifndef XATTR_H
#define XATTR_H
#define XATTRDPORT 4049
#ifndef MAIN
extern int xattrd_socket;
#endif
#define NFS_MAXPATHLEN 1024

struct geteattrargs {
	char *filename;
};
typedef struct geteattrargs geteattrargs;
#ifdef __cplusplus 
extern "C" bool_t xdr_geteattrargs(XDR *, geteattrargs*);
#elif __STDC__ 
extern  bool_t xdr_geteattrargs(XDR *, geteattrargs*);
#else /* Old Style C */ 
bool_t xdr_geteattrargs();
#endif /* Old Style C */ 


struct seteattrargs {
	char *filename;
	u_int mode;
};
typedef struct seteattrargs seteattrargs;
#ifdef __cplusplus 
extern "C" bool_t xdr_seteattrargs(XDR *, seteattrargs*);
#elif __STDC__ 
extern  bool_t xdr_seteattrargs(XDR *, seteattrargs*);
#else /* Old Style C */ 
bool_t xdr_seteattrargs();
#endif /* Old Style C */ 


struct res {
	u_int mode;
};
typedef struct res res;
#ifdef __cplusplus 
extern "C" bool_t xdr_res(XDR *, res*);
#elif __STDC__ 
extern  bool_t xdr_res(XDR *, res*);
#else /* Old Style C */ 
bool_t xdr_res();
#endif /* Old Style C */ 


struct truncateargs {
	char *filename;
	u_long lenght;
};
typedef struct truncateargs truncateargs;
#ifdef __cplusplus 
extern "C" bool_t xdr_truncateargs(XDR *, truncateargs*);
#elif __STDC__ 
extern  bool_t xdr_truncateargs(XDR *, truncateargs*);
#else /* Old Style C */ 
bool_t xdr_truncateargs();
#endif /* Old Style C */ 

#endif /*XATTR_H*/

#define XATTR_PROGRAM ((u_long)200000)
#define XATTR_VERSION ((u_long)1)

#ifdef __cplusplus
#define XATTRPROC_NULL ((u_long)0)
extern "C" void * xattrproc_null_1(void *, CLIENT *);
extern "C" void * xattrproc_null_1_svc(void *, struct svc_req *);
#define XATTRPROC_GETEATTR ((u_long)1)
extern "C" struct res * xattrproc_geteattr_1(geteattrargs *, CLIENT *);
extern "C" struct res * xattrproc_geteattr_1_svc(geteattrargs *, struct svc_req *);
#define XATTRPROC_SETEATTR ((u_long)2)
extern "C" struct res * xattrproc_seteattr_1(seteattrargs *, CLIENT *);
extern "C" struct res * xattrproc_seteattr_1_svc(seteattrargs *, struct svc_req *);
#define XATTRPROC_TRUNCATE ((u_long)3)
extern "C" struct res * xattrproc_truncate_1(truncateargs *, CLIENT *);
extern "C" struct res * xattrproc_truncate_1_svc(truncateargs *, struct svc_req *);

#elif __STDC__
#define XATTRPROC_NULL ((u_long)0)
extern  void * xattrproc_null_1(void *, CLIENT *);
extern  void * xattrproc_null_1_svc(void *, struct svc_req *);
#define XATTRPROC_GETEATTR ((u_long)1)
extern  struct res * xattrproc_geteattr_1(geteattrargs *, CLIENT *);
extern  struct res * xattrproc_geteattr_1_svc(geteattrargs *, struct svc_req *);
#define XATTRPROC_SETEATTR ((u_long)2)
extern  struct res * xattrproc_seteattr_1(seteattrargs *, CLIENT *);
extern  struct res * xattrproc_seteattr_1_svc(seteattrargs *, struct svc_req *);
#define XATTRPROC_TRUNCATE ((u_long)3)
extern  struct res * xattrproc_truncate_1(truncateargs *, CLIENT *);
extern  struct res * xattrproc_truncate_1_svc(truncateargs *, struct svc_req *);

#else /* Old Style C */ 
#define XATTRPROC_NULL ((u_long)0)
extern  void * xattrproc_null_1();
extern  void * xattrproc_null_1_svc();
#define XATTRPROC_GETEATTR ((u_long)1)
extern  struct res * xattrproc_geteattr_1();
extern  struct res * xattrproc_geteattr_1_svc();
#define XATTRPROC_SETEATTR ((u_long)2)
extern  struct res * xattrproc_seteattr_1();
extern  struct res * xattrproc_seteattr_1_svc();
#define XATTRPROC_TRUNCATE ((u_long)3)
extern  struct res * xattrproc_truncate_1();
extern  struct res * xattrproc_truncate_1_svc();
#endif /* Old Style C */ 

#endif /* !_XATTR_H_RPCGEN */
